Bug 1197709 (f22-kde-theme) - Review Request: f22-kde-theme - Fedora Twenty Two KDE Theme
Summary: Review Request: f22-kde-theme - Fedora Twenty Two KDE Theme
Keywords:
Status: CLOSED ERRATA
Alias: f22-kde-theme
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews F22Blocker-kde
TreeView+ depends on / blocked
 
Reported: 2015-03-02 13:06 UTC by Than Ngo
Modified: 2015-04-21 19:02 UTC (History)
6 users (show)

Fixed In Version: kde-settings-22-3.fc22.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 19:02:29 UTC
Type: Bug
jgrulich: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Than Ngo 2015-03-02 13:06:40 UTC
Spec URL: https://than.fedorapeople.org/f22/f22-kde-theme.spec
SRPM URL: https://than.fedorapeople.org/f22/f22-kde-theme-21.90-1.fc21.src.rpm

Description: 
This is Fedora Twenty Two KDE Theme Artwork containing KDM theme,
KSplash theme and Plasma Workspaces theme.

Fedora Account System Username: than

Comment 1 Jaroslav Reznik 2015-03-02 16:31:57 UTC
KDM and KSplash themes are not needed for Fedora 22. Or as KDM can be enabled optionally, we can consider having it available.

Comment 2 Jan Grulich 2015-03-03 12:41:18 UTC
1) As Jaroslav mentioned, KDM and KSplash themes are not needed
2) Spec file mentions Fedora Twenty One instead of Fedora Twenty Two
3) You should probably use %{_datadir} instead %{_kde4_appsdir}

Comment 3 Than Ngo 2015-03-03 13:55:06 UTC
(In reply to Jan Grulich from comment #2)

> 3) You should probably use %{_datadir} instead %{_kde4_appsdir}
the desktoptheme are installed under /usr/share/kde4/apps/desktopthem, is there any reason why we should use %{_datadir} instead %{_kde4_appsdir} ?

Comment 5 Jan Grulich 2015-03-03 14:07:48 UTC
This was with KDE 4, Plasma 5 installs themes under /usr/share/plasma/desktoptheme/

Comment 6 Jan Grulich 2015-03-03 15:21:14 UTC
Looks good now, approved.

Comment 7 Than Ngo 2015-03-03 15:50:31 UTC
Thanks.

New Package SCM Request
=======================
Package Name: f22-kde-theme
Short Description: Fedora Twenty Two KDE Theme
Upstream URL: http://fedorahosted.org/fedora-kde-artwork/
Owners: than,rdieter,mbriza,jreznik,jgrulich,ltinkl,dvratil
Branches: f22
InitialCC:

Comment 8 Gwyn Ciesla 2015-03-03 16:06:37 UTC
Git done (by process-git-requests).

Comment 9 Than Ngo 2015-03-04 10:22:15 UTC
it's imported.

Comment 10 Fedora Update System 2015-03-09 14:33:01 UTC
f22-kde-theme-21.91-1.fc22.1,kde-settings-22-2.fc22.2 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/f22-kde-theme-21.91-1.fc22.1,kde-settings-22-2.fc22.2

Comment 11 Fedora Update System 2015-03-29 04:25:38 UTC
f22-kde-theme-21.91-1.fc22.1, kde-settings-22-3.fc22 has been pushed to the Fedora 22 stable repository.

Comment 12 Jaroslav Reznik 2015-04-15 10:51:50 UTC
Reopening as f22-kde-theme and f22-backgrounds-kde are missing on the F22 Beta RC2 live image.

Expected result: proper Fedora theme available in Fedora 22 KDE.

Comment 13 Fedora Update System 2015-04-15 16:32:57 UTC
kde-settings-22-3.fc22.1, plasma-workspace-5.2.2-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-5161/kde-settings-22-3.fc22.1,plasma-workspace-5.2.2-6.fc22

Comment 14 Fedora Update System 2015-04-17 00:12:52 UTC
kde-settings-22-3.fc22.1,plasma-workspace-5.2.2-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kde-settings-22-3.fc22.1,plasma-workspace-5.2.2-6.fc22

Comment 15 Fedora Update System 2015-04-17 18:36:48 UTC
Package kde-settings-22-3.fc22.1, plasma-workspace-5.2.2-6.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-settings-22-3.fc22.1 plasma-workspace-5.2.2-6.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6239/kde-settings-22-3.fc22.1,plasma-workspace-5.2.2-6.fc22
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2015-04-21 19:02:29 UTC
kde-settings-22-3.fc22.1, plasma-workspace-5.2.2-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.